# This is a BitKeeper generated patch for the following project:
# Project Name: Linux kernel tree
# This patch format is intended for GNU patch command version 2.5 or higher.
# This patch includes the following deltas:
#	           ChangeSet	1.1071+1.1069.1.8 -> 1.1072 
#	            Makefile	1.190.1.43 -> 1.225  
#	  include/linux/fs.h	1.69.1.17 -> 1.78   
#	include/asm-ia64/processor.h	1.16.3.4 -> 1.24   
#	include/linux/pci_ids.h	1.65    -> 1.66   
#	arch/ia64/kernel/iosapic.c	1.6.1.8 -> 1.10   
#	arch/ia64/kernel/acpi.c	1.6.3.11 -> 1.26   
#	 drivers/pci/pci.ids	1.37.3.1 -> 1.37.4.1
#	arch/ia64/sn/kernel/setup.c	1.1.1.7 -> 1.9    
#	drivers/acpi/Config.in	1.9.1.2 -> 1.11.1.1
#	include/asm-ia64/sal.h	1.7.1.10 -> 1.13   
#	          fs/inode.c	1.36.1.3 -> 1.39.1.1
#
diff -Nru a/Makefile b/Makefile
--- a/Makefile	Wed Oct  8 09:06:10 2003
+++ b/Makefile	Wed Oct  8 09:06:10 2003
@@ -93,6 +93,7 @@
 
 CFLAGS := $(CPPFLAGS) -Wall -Wstrict-prototypes -Wno-trigraphs -O2 \
 	  -fno-strict-aliasing -fno-common
+CFLAGS += -g
 ifndef CONFIG_FRAME_POINTER
 CFLAGS += -fomit-frame-pointer
 endif
@@ -305,8 +306,7 @@
 	$(CONFIG_SHELL) scripts/Configure -d arch/$(ARCH)/config.in
 
 xconfig: symlinks
-	$(MAKE) -C scripts kconfig.tk
-	wish -f scripts/kconfig.tk
+	@echo -e "***\n* Sorry, xconfig is broken; use \"make menuconfig\" instead.\n***"
 
 menuconfig: include/linux/version.h symlinks
 	$(MAKE) -C scripts/lxdialog all
diff -Nru a/arch/ia64/kernel/acpi.c b/arch/ia64/kernel/acpi.c
--- a/arch/ia64/kernel/acpi.c	Wed Oct  8 09:06:10 2003
+++ b/arch/ia64/kernel/acpi.c	Wed Oct  8 09:06:10 2003
@@ -623,4 +623,22 @@
 	return gsi_to_vector(irq);
 }
 
+int
+acpi_register_irq (u32 gsi, u32 polarity, u32 trigger)
+{
+	int vector = 0;
+
+	if (has_8259 && gsi < 16)
+		return isa_irq_to_vector(gsi);
+
+	if (!iosapic_register_intr)
+		return 0;
+
+	/* Turn it on */
+	vector = iosapic_register_intr(gsi,
+		       	(polarity == ACPI_ACTIVE_HIGH) ? IOSAPIC_POL_HIGH : IOSAPIC_POL_LOW,
+			(trigger == ACPI_EDGE_SENSITIVE) ? IOSAPIC_EDGE : IOSAPIC_LEVEL);
+	return vector;
+}
+
 #endif /* CONFIG_ACPI_BOOT */
diff -Nru a/fs/inode.c b/fs/inode.c
--- a/fs/inode.c	Wed Oct  8 09:06:10 2003
+++ b/fs/inode.c	Wed Oct  8 09:06:10 2003
@@ -56,7 +56,7 @@
  */
 
 static LIST_HEAD(inode_in_use);
-static LIST_HEAD(inode_unused);
+LIST_HEAD(inode_unused);
 static struct list_head *inode_hashtable;
 static LIST_HEAD(anon_hash_chain); /* for inodes with NULL i_sb */
 
diff -Nru a/include/asm-ia64/processor.h b/include/asm-ia64/processor.h
--- a/include/asm-ia64/processor.h	Wed Oct  8 09:06:10 2003
+++ b/include/asm-ia64/processor.h	Wed Oct  8 09:06:10 2003
@@ -168,6 +168,7 @@
 	__u32 ptce_count[2];
 	__u32 ptce_stride[2];
 	struct task_struct *ksoftirqd;	/* kernel softirq daemon for this CPU */
+	void *mmu_gathers;
 # ifdef CONFIG_PERFMON
 	unsigned long pfm_syst_info;
 # endif
diff -Nru a/include/linux/fs.h b/include/linux/fs.h
--- a/include/linux/fs.h	Wed Oct  8 09:06:10 2003
+++ b/include/linux/fs.h	Wed Oct  8 09:06:10 2003
@@ -246,7 +246,7 @@
 	/* First cache line: */
 	struct buffer_head *b_next;	/* Hash queue list */
 	unsigned long b_blocknr;	/* block number */
-	unsigned short b_size;		/* block size */
+	unsigned int b_size;		/* block size */
 	unsigned short b_list;		/* List that this buffer appears */
 	kdev_t b_dev;			/* device (B_FREE = free) */
 
